# Authentication 2.0 - [WEB] Challenge Santhacklaus

Authentication 2.0 is a beginner Web challenge proposed during the **Santhackaus CTF**. This online event, _santhackaus.xyz_, was a four students project from IMT Lille Douai. This Capture The Flag in jeopardy style lasted one week (14 to 21 December 2018) and gathered more than 400 participants.

## Getting Started

### Prerequisites

To use this project, you need to install [Docker](https://docs.docker.com/install/) and [Docker-Compose](https://docs.docker.com/compose/install/).

### Configuration

You probably need to change the port in `docker-compose.yml` file to avoid conflict with other softwares, like another Web server.

```
...
ports:
    - "<chosen_port>:80"
...
```

### Running

Move into the root repository, then, build and start all the containers with this following command:

```bash
docker-compose up -d
```

Now, you can access to this challenge at localhost:<chosen_port>.

That's all! 😉

## Online version

You can find a online version of this project on [CTF;space](https://challenges.deldel.fr) platform.


## During and after the CTF

### Statement

> Did you GET it?

### Hint

> Don't forget to POST a comment!

### Write-ups

* [Write-up](https://haax.fr/fr/writeups/santhacklausctf-2018/santhacklaus-ctf/#authentication-2-0-100-pts) written by Haax
* Another [write-up](https://maki.bzh/walkthrough/santhacklaus2018/#authentication-2-0)  by Maki

Thank you for taking the time to write your solution! :)

You can contact me if you want to add your write-up in the list.

## Authors

 * **Aymeric Sorek** - _alias_ [deldel](https://www.deldel.fr)

## License

This project is licensed under the GNU General Public License - see the [LICENSE](LICENSE) file for details
